{ pkgs, ... }:

{
  home = {
    packages = with pkgs; [
      hyprcursor
    ];

    file = {
      ".local/share/icons/rose-pine-hyprcursor/manifest.hl".source = ./manifest.hl;
      ".local/share/icons/rose-pine-hyprcursor/hyprcursors" = {
        source = ./hyprcursors;
        recursive = true;
      };
    };
  };

  wayland.windowManager.hyprland.settings.exec-once = [
    "hyprctl setcursor $HYPRCURSOR_THEME $HYPRCURSOR_SIZE" # Set cursor
  ];
}
